<!--
  Generated template for the RequestsPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar hideBackButton color="dark">
  	<ion-buttons left>
	  	<button ion-button (click)="backToTabs()">
	  		<ion-icon class="customIcon" name="arrow-back"></ion-icon>
	  	</button>
	</ion-buttons>
    <ion-title>Request's List</ion-title>
  </ion-navbar>

</ion-header>
<ion-content padding>

  <ion-list *ngIf="receiveReqListNum > 0" no-lines>
    <ion-list-header class="ion-list-header-title">
      <h2>Receive Request</h2>
    </ion-list-header>
    <div *ngFor="let allFriendReq of receivereqList$ | async">
      <ion-card>
        <ion-item *ngIf="allFriendReq.friendReqList | async; let friendReqList;">
    		  <ion-avatar item-start>
	          <img-loader src="{{ friendReqList.photoURL }}" useImg></img-loader>
	        </ion-avatar>
	        <h2>{{ friendReqList.displayName }}</h2>
	        <button ion-button color="secondary" outline icon-start item-end (click)="acceptFriendReq(allFriendReq.key, friendReqList.displayName)">
          	<ion-icon name="checkmark"></ion-icon>
          	Accept
        	</button>
        	<button ion-button color="danger" outline icon-start item-end (click)="denyFriendReq(allFriendReq.key, friendReqList.displayName)">
          	<ion-icon name="close"></ion-icon>
          	Decline
        	</button>
        </ion-item>
      </ion-card>
  	</div>
  </ion-list>

  <ion-list *ngIf="sentReqListNum > 0" no-lines>
    <ion-list-header class="ion-list-header-title">
      <h2>Sent Request</h2>
    </ion-list-header>
    <div *ngFor="let allUser of sentreqList$ | async">
      <ion-card>
      	<ion-item *ngIf="allUser.sentRequestList | async; let sentRequestList;">
      		<ion-avatar item-start>
            <img-loader src="{{ sentRequestList.photoURL }}" useImg></img-loader>
          </ion-avatar>
          <h2>{{ sentRequestList.displayName }}</h2>
          <button ion-button color="danger" outline icon-start item-end (click)="cancelSentFRequest(allUser.key)">
            <ion-icon name="close"></ion-icon>
            Cancel
          </button>
      	</ion-item>
      </ion-card>
    </div>
  </ion-list>

</ion-content>
